<div class="container">
    @if (isAuthorized){
        <div class="buttons">
            <button  mat-raised-button color="primary" (click)="goToCreatePost()"> 
                Create new Post 
                <mat-icon>add_circle_outline</mat-icon>
            </button>
        </div>
        <!-- <mat-divider></mat-divider> -->
        <mat-tab-group class="tabs">
            <mat-tab label="All">
                <div class="postsList">
                    @for (post of posts; track posts._id){
                    <mat-card class="post-card">
                        <mat-card-header>
                            <mat-card-title class="cardTitle">
                                {{ post.title }}
                                <button mat-icon-button color="warn" class="delete-button" (click)="deletePost(post._id)">
                                    <mat-icon>delete_forever</mat-icon>
                                </button>
                            </mat-card-title>

                            <mat-card-subtitle>{{ post.author }} {{ post.date | date }}</mat-card-subtitle>
                            <mat-card-subtitle>{{ post.place }}</mat-card-subtitle>
                        </mat-card-header>
                        <mat-card-content>
                            <p>
                                {{ post.description }}
                            </p>
                        </mat-card-content>
                        @if (post.state === "PUBLISHED") {
                            <mat-card-actions class="state">
                                Published
                                <button class="actionButtonSeePost" mat-stroked-button (click)="goToPublishedPost(post._id)">See Post</button>
                            </mat-card-actions>
                        } @else {
                            <mat-card-actions>
                                <button class="draftActionButtons" mat-stroked-button (click)="goToDraft(post._id)">Edit</button>
                                <button mat-stroked-button (click)="publishDraft(post._id)">Publish</button>
                            </mat-card-actions>
                        }

                    </mat-card>
                    }
                </div>
            </mat-tab>
            <mat-tab label="Published">
                <div class="postsList">
                    @for (post of posts; track posts._id){
                        @if (post.state == "PUBLISHED") {
                            <mat-card class="post-card">
                                <mat-card-header>
                                    <mat-card-title class="cardTitle">
                                        {{ post.title }}
                                        <button mat-icon-button color="warn" class="delete-button" (click)="deletePost(post._id)">
                                            <mat-icon>delete_forever</mat-icon>
                                        </button>
                                    </mat-card-title>
                                    <mat-card-subtitle>{{ post.author }} {{ post.date | date }}</mat-card-subtitle>
                                    <mat-card-subtitle>{{ post.place }}</mat-card-subtitle>
                                </mat-card-header>
                                <mat-card-content>
                                    <p>
                                        {{ post.description }}
                                    </p>
                                </mat-card-content>
                                <mat-card-actions class="state">
                                    Published
                                    <button class="actionButtonSeePost" mat-stroked-button (click)="goToPublishedPost(post._id)">See Post</button>
                                </mat-card-actions>
                            </mat-card>
                        }
                    }
                </div>
            </mat-tab>
            <mat-tab label="Drafts">
                <div class="postsList">
                    @for (post of posts; track posts._id){
                        @if (post.state == "DRAFT") {
                        <mat-card class="post-card">
                            <mat-card-header>
                                <mat-card-title class="cardTitle">
                                    {{ post.title }}
                                    <button mat-icon-button color="warn" class="delete-button" (click)="deletePost(post._id)">
                                        <mat-icon>delete_forever</mat-icon>
                                    </button>
                                </mat-card-title>
                                <mat-card-subtitle>{{ post.author }} {{ post.date | date }}</mat-card-subtitle>
                                <mat-card-subtitle>{{ post.place }}</mat-card-subtitle>
                            </mat-card-header>
                            <mat-card-content>
                                <p>
                                    {{ post.description }}
                                </p>
                            </mat-card-content>
                            <mat-card-actions >
                                <button class="draftActionButtons" mat-stroked-button (click)="goToDraft(post._id)">Edit</button>
                                <button  mat-stroked-button (click)="publishDraft(post._id)">Publish</button>
                            </mat-card-actions>
                        </mat-card>
                        }
                    }
                </div>
            </mat-tab>
        </mat-tab-group>
    } @else {
        <p>not authorized or logged in</p>
    }

</div>